at.chipkarte.client.aum.soap

## Class Suchkriterien

- Object
- - at.chipkarte.client.aum.soap.Suchkriterien

-     public class Suchkriterien
      extends Object

  Ermöglicht das Filtern der Meldungen, die von `IAumService.selbstErstellteMeldungenSuchen(String, Suchkriterien)` zurückgegeben werden.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Suchkriterien()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErstellungAb()` Nur Meldungen, die nach oder an diesem Datum ausgestellt wurden, werden zurückgegeben (optional).
    `String` | `getErstellungBis()` Nur Meldungen, die vor oder an diesem Datum ausgestellt wurden, werden zurückgegeben (optional).
    `String` | `getMeldungsart()` Meldungsart nach der gesucht wird.
    `String` | `getSvNummer()` Nur Meldungen für den Patienten mit dieser SV-Nummer werden zurückgegeben.
    `String` | `getVorname()` Nur Meldungen von Patienten mit dem angegebenen Vornamen werden zurückgegeben (optional).
    `String` | `getZuname()` Nur Meldungen von Patienten mit dem angegebenen Zunamen werden zurückgegeben (optional).
    `void` | `setErstellungAb(String erstellungAb)`
    `void` | `setErstellungBis(String erstellungBis)`
    `void` | `setMeldungsart(String meldungsart)`
    `void` | `setSvNummer(String vsnr)`
    `void` | `setVorname(String vorname)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Suchkriterien

          public Suchkriterien()

  - ### Method Detail

    - #### getErstellungBis

          public String getErstellungBis()

      Nur Meldungen, die vor oder an diesem Datum ausgestellt wurden, werden zurückgegeben (optional).
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Zeitraum bis zu dem gesucht werden soll

    - #### setErstellungBis

          public void setErstellungBis(String erstellungBis)

    - #### getErstellungAb

          public String getErstellungAb()

      Nur Meldungen, die nach oder an diesem Datum ausgestellt wurden, werden zurückgegeben (optional).
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Zeitraum ab dem gesucht werden soll

    - #### setErstellungAb

          public void setErstellungAb(String erstellungAb)

    - #### getMeldungsart

          public String getMeldungsart()

      Meldungsart nach der gesucht wird.
      Format: 2-stellig
      Mögliche Werte: `SuchMeldungsart`.
      Returns:
        Suchkriterium Meldungsart

    - #### setMeldungsart

          public void setMeldungsart(String meldungsart)

    - #### getZuname

          public String getZuname()

      Nur Meldungen von Patienten mit dem angegebenen Zunamen werden zurückgegeben (optional).
      Format: maximal 70-stellig
      Returns:
        Suchkriterium Zuname

    - #### setZuname

          public void setZuname(String zuname)

    - #### getVorname

          public String getVorname()

      Nur Meldungen von Patienten mit dem angegebenen Vornamen werden zurückgegeben (optional).
      Format: maximal 70-stellig
      Returns:
        Suchkriterium Vorname

    - #### setVorname

          public void setVorname(String vorname)

    - #### getSvNummer

          public String getSvNummer()

      Nur Meldungen für den Patienten mit dieser SV-Nummer werden zurückgegeben.
      Format: 10-stellig
      Returns:
        Suchkriterium SV-Nummer

    - #### setSvNummer

          public void setSvNummer(String vsnr)